API reference › Organization locations

Retrieve all locations for a specific organization

GET /v1/organization/locations

Scope
settings_locations:read
Roles
admin, scheduler

Fetches all locations associated with the current portal organization (based on portalOrganizationId), returning minimal details such as label, address, and primary flag.

Parameters

None of its own.

Every call also sends Authorization and X-Tenant-ID; see Getting started.

Example request

Shell
curl "https://api.fetchfido.ai/v1/organization/locations" \
  -H "Authorization: Bearer $FIDO_API_KEY" \
  -H "X-Tenant-ID: $FIDO_TENANT_ID"

Try it

Responses

200 Organization location details retrieved successfully

Organization location details retrieved successfully

JSON
{
  "success": true,
  "message": "Organization Location details retrieved!",
  "data": [
    {
      "id": "CLTLOC-HQBS7",
      "label": "Example label",
      "addressLine1": "123 Main St",
      "addressLine2": "Suite 200",
      "city": "Austin",
      "state": {
        "id": 1,
        "label": "Example label",
        "code": "string"
      },
      "postalCode": "90210",
      "isPrimary": true,
      "isDefault": true
    }
  ]
}
Response fields (15)
FieldTypeDescription
successboolean

Example true.

messagestring

Example Organization Location details retrieved!.

dataarray of object
data[].idstring

Example CLTLOC-HQBS7.

data[].labelstring

Example Example label.

data[].addressLine1string

Example 123 Main St.

data[].addressLine2string

Example Suite 200.

data[].citystring

Example Austin.

data[].stateobject
data[].state.idinteger

Example 1.

data[].state.labelstring

Example Example label.

data[].state.codestring

Example string.

data[].postalCodestring

Example 90210.

data[].isPrimaryboolean

Example true.

data[].isDefaultboolean

Example true.

401 Not signed in

Missing, invalid or expired API key.

JSON
{
  "success": false,
  "message": "Invalid API key. Org and user tier keys must send an X-Tenant-ID header naming the organization the key was issued for.",
  "errors": null,
  "code": "API_KEY_MISSING"
}
Response fields (4)
FieldTypeDescription
successboolean

Example false.

messagestring

Example Invalid API key. Org and user tier keys must send an X-Tenant-ID header naming the organization the key was issued for..

errorsany or null

Null on this status.

codestring

Machine-readable reason, for branching on in client code.

One of: API_KEY_MISSING, API_KEY_INVALID, API_KEY_EXPIRED. Example API_KEY_MISSING.

403 Not allowed

Scope, tenant, IP allow-list or RBAC check failed.

JSON
{
  "success": false,
  "message": "You don't have permission to access this endpoint. This API key is missing the 'settings_locations:read' scope.",
  "errors": null,
  "code": ""
}
Response fields (4)
FieldTypeDescription
successboolean

Example false.

messagestring

Example You don't have permission to access this endpoint. This API key is missing the 'settings_locations:read' scope..

errorsany or null

Null on this status.

codestring

Always empty on this status.

Example .

422 Validation failed

Validation error - Missing or invalid Organization ID

JSON
{
  "success": false,
  "message": "Organization ID is required.",
  "errors": null
}
Response fields (3)
FieldTypeDescription
successboolean

Example false.

messagestring

Example Organization ID is required..

errorsstring or null
429 Too many requests

Rate limit exceeded. See Retry-After.

JSON
{
  "success": false,
  "message": "You've exceeded this API key's rate limit of 120 requests per minute. Try again in 37 seconds.",
  "errors": null,
  "code": "RATE_LIMITED"
}
Response fields (4)
FieldTypeDescription
successboolean

Example false.

messagestring

Example You've exceeded this API key's rate limit of 120 requests per minute. Try again in 37 seconds..

errorsany or null

Null on this status.

codestring

Machine-readable reason, for branching on in client code.

One of: RATE_LIMITED. Example RATE_LIMITED.

500 Server error

Internal server error

JSON
{
  "success": false,
  "message": "An unexpected error occurred — please try again."
}
Response fields (2)
FieldTypeDescription
successboolean

Example false.

messagestring

Example An unexpected error occurred — please try again..